﻿@using Airlines.Business.DTOs
@model IEnumerable<Airlines.Business.DTOs.AirlineDTO>

@{
	ViewData["Title"] = "Airline";
}
<div class="container-form">
	<div class="container-head">
		<a href="/">
			<img src="~/assets/left sidebar.png" alt="bar" />
		</a>
		<h1>Airline</h1>
	</div>
	@{
		var search = new Search();
	}
	@await Html.PartialAsync("_SearchBar", search)
	<table class="table" id="table">
		<tr class="table-head">
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.Name)
			</th>
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.Fleet_size)
			</th>
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.Founded)
			</th>
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.Description)
			</th>
			<th class="table-head-tag">
				Buttons
			</th>
		</tr>

		@foreach (var item in Model)
		{
			<tr>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.Name)
				</td>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.Fleet_size)
				</td>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.Founded)
				</td>
				<td class="table-row-tag description-cell">
					<div class="description-content">
						@Html.DisplayFor(modelItem => item.Description)
					</div>
				</td>
				<td class="table-row-tag">
					@Html.ActionLink("Edit", "Edit", new { id = item.ID }) |
					@Html.ActionLink("Details", "Details", new { id = item.ID }) |
					@Html.ActionLink("Delete", "Delete", new { id = item.ID })
				</td>
			</tr>
		}
	</table>
	<button class="block-button-show scroll-top" id="scroll-top">Go top</button>
	<button class="block-button-show" id="show-more" onclick="showMore()">Show More</button>
	<a href="#" class="block-button-form" id="show-form" onclick="showForm()">Show Form</a>
	<form class="form hidden" id="form" asp-action="Create" method="post">
		@{
			var airline = new AirlineDTO();
		}
		<legend>Add new Airline</legend>

		<label for="name">Name</label>
		<input type="text" id="name" name="name" onblur="checkName()" required />
		<span class="validation hidden" id="name-valid">Name must be filled</span>

		<label for="founded">Founded</label>
		<input type="date" id="founded" name="founded" onblur="checkFounded()" required />
		<span class="validation hidden" id="founded-valid">Founded must be filled</span>

		<label for="fleet_size">Fleet Size</label>
		<input type="text" id="fleet_size" name="fleet_size" onblur="checkFleet()" required />
		<span class="validation hidden" id="fleet-valid">Fleet size must be filled</span>

		<label for="description">Description</label>
		<textarea id="description" name="description" onblur="checkDescription()" required></textarea>
		<span class="validation hidden" id="description-valid">Description must be filled</span>

		<input type="submit" class="block-button-form" id="submit-button" asp-action="Create" />
	</form>
</div>
@section Scripts {
	<script src="~/js/airlineValidation.js"></script>
}